import React from 'react';
import { render } from 'react-dom';

import OverflowMenu, { MenuItem } from '../src';

import styles from './sandbox.scss';

render(
  <div className={styles.sandboxContainer}>
    <div className={styles.sandboxItem}>
      <OverflowMenu placement={'right'}>
        <MenuItem onClick={() => console.log('clicked')}>
          reallylongtextthatwilltruncateeventuallyiftherearenospaces
        </MenuItem>
        <MenuItem >
          No on click
        </MenuItem>
        {
          false && (
            <MenuItem onClick={() => console.log('clicked')}>List Item</MenuItem>
          )
        }
      </OverflowMenu>
    </div>
    <div className={styles.sandboxItem}>
      <OverflowMenu placement={'left'}>
        <MenuItem title={'Not banana'} onClick={() => console.log('banana')}>
          Bananas
        </MenuItem>
        <MenuItem disabled onClick={() => console.log('apples')}>
          <div>Apples Disabled</div>
        </MenuItem>
        <MenuItem onClick={() => window.open('http://google.com')}>
          <div>Link to Google</div>
        </MenuItem>
      </OverflowMenu>
    </div>
  </div>,
  window.document.getElementById('root'),
);
